IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[V_EST_NF_ENT_DANFE_PROVISORIO_BLOQUEIO_PENDENTE]'))
	DROP VIEW [dbo].[V_EST_NF_ENT_DANFE_PROVISORIO_BLOQUEIO_PENDENTE]
GO
GO
--SELECT * FROM V_EST_NF_ENT_DANFE_PROVISORIO_BLOQUEIO_PENDENTE
/*
	SELECT DS_DIV, 
		COUNT(*) QTDE 
	FROM V_EST_NF_ENT_DANFE_PROVISORIO_BLOQUEIO_PENDENTE
	GROUP BY DS_DIV
*/
CREATE VIEW V_EST_NF_ENT_DANFE_PROVISORIO_BLOQUEIO_PENDENTE
WITH ENCRYPTION AS
SELECT
	 d.CD_EMP,
	 D.CD_FILIAL,
	 B.CD_CTR,
	 B.TIPO_BLQ,
	 DV.DS_TIPO_BLQ AS DS_DIV, 
     P.CD_PED, 
     D.CD_PED_FORN,
	 D.CD_FORN,
     D.NR_NF
from
	EST_NF_ENT_DANFE_PROVISORIO_BLOQUEIO_PENDENTE b
	INNER JOIN EST_NF_ENT_DANFE_PROVISORIO  D ON
	B.CD_CTR = D.CD_CTR
	INNER JOIN EST_NF_ENT_DANFE_PROVISORIO_PENDENTE W ON
	B.CD_CTR = W.CD_CTR
	LEFT JOIN EST_NF_ENT_DANFE_PROVISORIO_EST_PED_CP P ON
	B.CD_CTR = P.CD_CTR
	LEFT OUTER JOIN EST_NF_ENT_DANFE_PROVISORIO_LIBERACAO_TIPO_BLQ lib ON
	B.CD_CTR = lib.CD_CTR AND
	B.TIPO_BLQ = lib.TIPO_BLQ 
	INNER JOIN V_EST_NF_ENT_DANFE_PROVISORIO_TIPO_BLOQUEIO DV ON
	B.TIPO_BLQ = DV.TIPO_BLQ
WHERE 
	lib.CD_CTR IS NULL 
	AND B.TIPO_BLQ <> 1 